/*+-------------------------------------------------------------------------
	ecuungetty.h
	wht@n4hgf.Mt-Park.GA.US
--------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:07-25-1991-12:57-wht@n4hgf-ECU release 3.10 */
/*:08-14-1990-20:40-wht@n4hgf-ecu3.00-flush old edit history */

/* ungetty definitions */
#define	UG_NOTENAB		0	/* on no-switch exec, line not enabled */
#define	UG_ENAB			1	/* on no-switch exec, -r needed */
#define	UG_RESTART		1	/* on -t exec, restart needed */
#define	UG_FAIL			2	/* on no switch exec, line in use */

/* extended ecuungetty codes */
#define UGE_BADSWITCH	240	/* usage: bad switch */
#define UGE_BADARGC		241	/* usage: bad arg count */
#define UGE_NOTROOT		242	/* ecuungetty found it had no root privileges */
#define UGE_CALLER		243	/* caller is not ecu or root */
#define UGE_T_LOGIN		230 /* -t found utmp status US_LOGIN */
#define UGE_T_LOGGEDIN	231 /* -t found utmp status US_LOGGGEDIN */
#define UGE_T_NOTFOUND	232 /* -t found utmp status US_NOTFOUND */

/* vi: set tabstop=4 shiftwidth=4: */
/* end of ecuungetty.h */
