/*+-----------------------------------------------------------------------
	lint_args.h
------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:08-12-1991-00:07-afterlint-creation */

#ifndef BUILDING_LINT_ARGS
#ifdef LINT_ARGS

/* bamboozle.c */
char *bamboozle(int );
/* cmdtbl.c */
/* ecu.c */
int main(int ,char **,char **);
int xmtr(void );
/* ecuDCE.c */
char *DCE_get_result(long );
int DCE_dial(void );
int DCE_dial_pde(struct phone_directory_entry *);
int DCE_get_sreg_value(int );
int DCE_modem_init(void );
int DCE_redial(char **,int );
int DCE_send_cmd(char *);
int DCE_set_sreg(int ,int );
int check_queued_sigint(void );
void DCE_autoanswer(void );
void DCE_hangup(void );
void DCE_now_on_hook(void );
void DCE_read_modem_init(void );
void DCE_report_iv_set(int );
void process_modem_init(char *);
void show_modem_init_error(int ,struct esd *);
/* ecuLCK.c */
int is_active_lock(char *);
int line_locked(char *);
int make_lock_name(char *,char *);
/* ecuchdir.c */
int cd_array_delete(char **,int );
int change_directory(char *,int );
int expand_dirname(char *,int );
int pop_directory(char *,int ,int );
int push_directory(char *,int ,int );
void cd_array_delete_usage(void );
void cd_array_init(void );
void cd_array_read(void );
void cd_array_save(void );
/* ecudump.c */
/* void hex_dump_fp(struct UNNAMED *fp,char *str,int len,char *title,int terse_flag); */
void dump_putc(char );
void dump_puts(char *);
void hex_dump(char *,int ,char *,int );
void hex_dump16(unsigned short );
void hex_dump32(unsigned long );
void hex_dump4(unsigned char );
void hex_dump8(unsigned char );
/* ecufinsert.c */
int expand_filename(char *,int );
int file_insert_to_line(int ,char **);
void file_insert_clear_xoff(void );
/* ecufkey.c */
/* int kde_fgets(char *buf,int bufsize,struct UNNAMED *fp); */
char *keyset_idstr(int );
int keyset_define_key(char *);
int keyset_idnum(char *);
int keyset_read(char *);
int xf_to_KDEt(unsigned char );
void ffso(char *);
void keyset_display(void );
void keyset_init(void );
/* ecufork.c */
char *find_executable(char *);
int exec_cmd(char *);
int expand_wildcard_list(char *,char **);
int is_executable(char *);
int smart_fork(void );
void shell(char *);
/* ecuicmaux.c */
int icmd_log(int ,int ,char **);
int pcmd_rlog(struct esd *);
int rcvr_log_control(int ,int ,char **);
void display_ascii_names(void );
void icmd_conversion(int ,int ,char **);
void nlin_nlout_control(int ,int ,char **);
/* ecuicmd.c */
int icmd(char *);
int icmd_do_proc(int ,char **);
int search_cmd_list(struct p_cmd *,char *);
/* ecuicmhelp.c */
char *help_get_cmd(void );
int display_help_screen(void );
struct p_cmd *search_cmd_list_pcmd(char *);
void calculate_help_right_column(void );
void display_help_stderr(char *);
void help_cmd_line_setup(char *);
void icmd_help(int ,char **);
void show_cmds(void );
/* ecuicmhist.c */
int icmd_history_manager(unsigned char ,unsigned char *,int );
void icmd_history_add(char *);
/* eculine.c */
char *lgets_timeout(struct lrwt *);
char *lopen_err_text(int );
char *xon_status(void );
int lgetc_timeout(long );
int llookfor(char *,unsigned long ,int );
int lnew_baud_rate(unsigned int );
int lopen(void );
int lrdchk_xmtr(void );
int lset_baud_rate(int );
int set_xon_xoff_by_arg(char *);
int valid_baud_rate(unsigned int );
unsigned char lgetc_xmtr(void );
void lRTSCTS_control(int );
void lbreak(void );
void lclear_xmtr_xoff(void );
void lclose(void );
void lclose_failed(int );
void ldraino(int );
void lflush(int );
void lget_xon_xoff(int *,int *);
void lputc(char );
void lputc_paced(int ,char );
void lputs(char *);
void lputs_paced(int ,char *);
void lquiet(unsigned long ,int );
void lreset_ksr(void );
void lset_parity(int );
void ltoggle_dtr(void );
void lxon_xoff(int );
void process_xmtr_rcvd_char(unsigned int ,int );
/* eculock.c */
int check_utmp(void );
int create_lock_file(char *);
int lock_tty(void );
void unlock_tty(void );
/* ecunumrev.c */
void build_revision_string(void );
/* ecuphone.c */
int check_curr_pde(void );
int copy_pde_to_lvar(struct phone_directory_entry *);
int dirw_display_config(void );
int lookup_logical_telno(void );
int pde_add_or_edit(struct phone_directory_entry *,int );
int pde_dial(struct phone_directory_entry *);
int pde_dial_cycle(void );
int pde_display(int ,struct phone_directory_entry *,int );
int pde_list_read(void );
int want_pd_create(char *);
struct phone_directory_entry *pde_list_search(char *,int );
unsigned char dirw_get_cmd(char *);
void dirw_bot_msg(char *);
void dirw_cmd_line_setup(char *,char *);
void dirw_display(void );
void dirw_display_phonedir_name(void );
void pde_add_or_edit_read(char *,int ,int ,char *,int ,unsigned char *);
void pde_cmd_add(struct phone_directory_entry *);
void pde_cmd_change_dir(void );
void pde_cmd_down(void );
void pde_cmd_find(void );
void pde_cmd_mark(struct phone_directory_entry *);
void pde_cmd_remove(void );
void pde_cmd_remove_oops(void );
void pde_cmd_save(void );
void pde_cmd_set_wait(void );
void pde_cmd_unmark(struct phone_directory_entry *);
void pde_cmd_unmark_all(void );
void pde_cmd_up(void );
void pde_display_logical(int ,struct phone_directory_entry *,int );
void pde_list_add(struct phone_directory_entry *);
void pde_list_erase(void );
void pde_list_manager(void );
void pde_list_remove(struct phone_directory_entry *);
void pde_list_save_if_dirty(void );
void pde_list_set_dirty(int );
void scrw_fill(struct phone_directory_entry *,int *);
void scrw_fill_at(int ,struct phone_directory_entry *,int *);
/* ecuphrase.c */
int phrases(int ,char **);
void phrase_help(void );
void read_phrases(void );
/* ecurcvr.c */
int is_ansi_terminator(unsigned int );
int lgetc_rcvr(void );
int process_rcvd_char(unsigned int );
void accumulate_ansi_sequence(unsigned int );
void ansi_CNL(void );
void ansi_CPL(void );
void ansi_CUB(void );
void ansi_CUD(void );
void ansi_CUF(void );
void ansi_CUP(void );
void ansi_CUU(void );
void ansi_DCH(void );
void ansi_DL(void );
void ansi_DSR(void );
void ansi_ECH(void );
void ansi_ED(void );
void ansi_EL(void );
void ansi_HPA(void );
void ansi_ICH(void );
void ansi_IL(void );
void ansi_SD(void );
void ansi_SGR(void );
void ansi_SU(void );
void ansi_VPA(void );
void process_ansi_sequence(void );
void rcvd_ESC(void );
void rcvr(void );
void rcvr_log_open(void );
void redisplay_rcvr_screen(void );
void saved_cursor_restore_cursor(void );
void saved_cursor_save_cursor(void );
void spaces(unsigned char *,unsigned int );
/* ecuscrdump.c */
void screen_dump(char *);
/* ecusetup.c */
int setup_line_open(void );
int setw_get_single(char *);
void setup_display_baud(void );
void setup_display_name(void );
void setup_display_screen(int );
void setup_display_single_char(void );
void setup_display_tty(void );
void setup_open_status(void );
void setup_screen(char *);
void setw_bot_msg(char *);
void setw_err_msg(char *);
void setw_msg(char *,int ,char ,int *);
/* ecushm.c */
int shm_init(void );
void shm_done(void );
void shmr_process_rcvr_SIGUSR2(void );
void shmr_set_xmtr_bn_1(void );
void shmx_connect(void );
void shmx_make_rcvr_sleep(int );
void shmx_process_xmtr_SIGUSR2(void );
void shmx_rc_report(long *,long *);
void shmx_set_rcvr_bn(int );
void shmx_set_rcvr_log(char *,int ,int ,int );
/* ecusighdl.c */
char *termecu_code_text(int );
void child_signals(void );
void kill_rcvr_process(int );
void rcvr_SIGHUP_handler(void );
void rcvr_SIGINT_handler(void );
void rcvr_SIGTERM_handler(void );
void rcvr_SIGUSR1_handler(void );
void rcvr_SIGUSR2_handler(void );
void rcvr_common_signal_handler(void );
void rcvr_death_handler(int );
void rcvr_signals(void );
void start_rcvr_process(int );
void termecu(int );
void xmtr_SIGCLD_handler(void );
void xmtr_SIGHUP_handler(int );
void xmtr_SIGINT_handler(void );
void xmtr_SIGTERM_handler(int );
void xmtr_SIGUSR2_handler(void );
void xmtr_signals(void );
/* ecutcap.c */
int tcap_gets(char *,int ,unsigned char *,int );
void tcap_blink_off(void );
void tcap_blink_on(void );
void tcap_bold_off(void );
void tcap_bold_on(void );
void tcap_clear_area_char(int ,int );
void tcap_clear_screen(void );
void tcap_curbotleft(void );
void tcap_curleft(int );
void tcap_curright(int );
void tcap_cursor(unsigned int ,unsigned int );
void tcap_delete_chars(int );
void tcap_delete_lines(int );
void tcap_draw_box(int ,int ,int ,int ,char *,int );
void tcap_draw_box_primitive(int ,int ,int ,int );
void tcap_eeod(void );
void tcap_eeol(void );
void tcap_horiz_rule(int );
void tcap_init(void );
void tcap_insert_chars(int );
void tcap_insert_lines(int );
void tcap_putc_stderr(int );
void tcap_stand_end(void );
void tcap_stand_out(void );
void tcap_underscore_off(void );
void tcap_underscore_on(void );
void tcap_vbell(void );
void tcap_vertical_rule(int ,int ,int );
/* ecutime.c */
char *epoch_secs_to_str(long ,int ,char *);
char *get_elapsed_time(long );
char *get_tod(int ,char *);
int get_day(int );
int get_month(int );
/* ecutty.c */
char *get_ttyname(void );
int color_name_to_num(char *);
int get_ttymode(void );
int setcolor_internal(int ,char **);
int ttygets_esd(struct esd *,int ,int );
unsigned int ttygetc(int );
unsigned long B_to_timeout_msec(unsigned short ,unsigned short );
void _setcolor(unsigned long );
void get_initial_colors(void );
void read_colors_file(void );
void restore_initial_colors(void );
void ring_bell(void );
void setcolor(unsigned long );
void termio_to_kbd_chars(void );
void ttyflush(int );
void ttygets(char *,int ,int ,unsigned char *,int *);
void ttyinit(unsigned char );
void ttymode(int );
void ttynormal_opost(void );
/* ecuuclc.c */
char to_lower(char );
char to_upper(char );
int minunique(char *,char *,int );
int ulcmpb(unsigned char *,unsigned char *);
int ulindex(char *,char *);
int ulrindex(char *,char *);
/* ecuusage.c */
void general_usage(char **);
void log_cmd_usage(void );
void usage(void );
/* ecuutil.c */
char *arg_token(char *,char *);
char *errno_text(int );
char *hex_to_ascii_name(char );
char *make_char_graphic(char ,int );
char *mode_map(unsigned short ,char *);
char *skip_ld_break(char *);
char *str_token(char *,char *);
int ascii_name_to_hex(char *);
int ascii_to_hex(char *);
int find_shell_chars(char *);
int get_curr_dir(char *,int );
int get_home_dir(char *);
int yes_or_no(char *);
void build_arg_array(char *,char **,int ,int *);
void build_str_array(char *,char **,int ,int *);
void disp_line_termio(int ,char *);
void disp_stat(struct stat *);
void disp_termio(struct termio *,char *);
void dummy_call(void );
void make_ecu_subdir(void );
void mem_cpy(char *,char *,int );
void pad_zstr_to_len(char *,int );
void perror_errmsg(char *);
void print_cwd(char *,int );
void strip_trail_break(char *);
/* ecuwinutil.c */
int winget_single(struct _win_st *,char *,char *);
int wingets(struct _win_st *,int ,int ,char *,int ,unsigned char *,int ,int *);
struct _win_st *window_create(char *,int ,int ,int ,int ,int );
void clear_area(struct _win_st *,int ,int ,int );
void clear_area_char(struct _win_st *,int ,int ,int ,char );
void winbox(struct _win_st *);
void window_setup(struct _win_st *,char *,int );
void windows_end(struct _win_st *);
void windows_end2(void );
void windows_end_signal(void );
void windows_start(void );
/* ecuxenix.c */
char *signal_name_text(int );
int bell_alarm(int );
int kbd_escape(unsigned char );
int show_escape_prompt(void );
void bell_notify(int );
void send_bell_fd(int ,int ,int );
void send_get_response(int ,int ,char **);
void set_bell_fd(int ,int ,int );
void set_default_escape_prompt(void );
void xbell(int ,int );
void xbell_fd(int ,int ,int );
/* ecuxfer.c */
char *xfer_title_fragment(void );
int report_send_status(void );
int xfrw_get_single(char *);
void file_xfer_done_bell(void );
void file_xfer_start(void );
void receive_files_from_remote(int ,char **);
void send_files_to_remote(int ,char **);
void xfrw_bot_msg(char *);
void xfrw_display_cmd_line(void );
void xfrws_display_allvars(void );
void xfrws_display_binary(void );
void xfrws_display_literals(void );
void xfrws_display_name(void );
void xfrws_display_xfernew(void );
/* esdutil.c */
/* int esdfgets(struct esd *tesd,struct UNNAMED *fileptr); */
/* int esdfputs(struct esd *tesd,struct UNNAMED *fileptr,int index_flag,int nl_flag); */
int end_of_cmd(struct esd *);
int esdcat(struct esd *,struct esd *,int );
int esdrealloc(struct esd *,int );
int esdstrcat(struct esd *,char *);
int esdstrindex(struct esd *,struct esd *,int ,int );
int get_alpha_zstr(struct esd *,char *,int );
int get_alphanum_zstr(struct esd *,char *,int );
int get_cmd_char(struct esd *,char *);
int get_numeric_value(struct esd *,long *);
int get_numeric_zstr(struct esd *,char *,int );
int get_switches(struct esd *,char *,int );
int get_word_zstr(struct esd *,char *,int );
int keyword_lookup(struct keyword_table_type *,char *);
int skip_cmd_break(struct esd *);
int skip_cmd_char(struct esd *,char );
int skip_colon(struct esd *);
int skip_comma(struct esd *);
int skip_paren(struct esd *,int );
int strindex(char *,char *);
struct esd *esdalloc(int );
void esd_null_terminate(struct esd *);
void esd_strip_trail_break(struct esd *);
void esdfree(struct esd *);
void esdinit(struct esd *,char *,int );
void esdshow(struct esd *,char *);
void esdzero(struct esd *);
/* expresp.c */
int execute_expresp(char *);
int expect(char *);
int pcmd_expresp(struct esd *);
void respond(char *);
/* fasiintf.c */
/* feval.c */
int feval_int(struct esd *,long *);
int feval_str(struct esd *,struct esd *);
int strfunc_left(struct esd *,struct esd *,struct esd *);
int strfunc_right(struct esd *,struct esd *,struct esd *);
/* gint.c */
int gcol_range(struct esd *,unsigned long *,unsigned long *);
int gint(struct esd *,long *);
int gint_base(struct esd *,long *);
int gint_constant(struct esd *,long *);
int gintop(struct esd *,int *);
/* gstr.c */
int gstr(struct esd *,struct esd *,int );
/* hdbintf.c */
char *hdb_dial_error_text(int );
int choose_device(char *,unsigned int );
int dvtype_match(char *,char *);
int hdb_dial(char **);
int ungetty_get_line(void );
struct dlent *getdlent(void );
struct dlent *getdlentname(char *);
struct dvent *getdvbaud(unsigned int );
struct dvent *getdvent(void );
struct dvent *getdvline(char *);
struct dvent *getdvtype(char *);
void choose_line(unsigned int );
void dialstr_translate(char *,char *);
void enddlent(void );
void enddvent(void );
void hdb_init(void );
void ungetty_return_line(void );
/* logevent.c */
void ecu_log_event(int ,char *);
/* nonansikey.c */
int define_nonansi_key(char *);
unsigned char map_nonansi_key(unsigned char *,int );
void nonansi_key_init(void );
void nonansi_key_read(char *);
/* pcmd.c */
int pcmd_baud(struct esd *);
int pcmd_cd(struct esd *);
int pcmd_clrx(struct esd *);
int pcmd_dial(struct esd *);
int pcmd_duplex(struct esd *);
int pcmd_echo(struct esd *);
int pcmd_exit(struct esd *);
int pcmd_flush(struct esd *);
int pcmd_getf(struct esd *);
int pcmd_hangup(struct esd *);
int pcmd_hexdump(struct esd *);
int pcmd_lbreak(struct esd *);
int pcmd_lgets(struct esd *);
int pcmd_logevent(struct esd *);
int pcmd_lookfor(struct esd *);
int pcmd_nap(struct esd *);
int pcmd_nice(struct esd *);
int pcmd_parity(struct esd *);
int pcmd_popd(struct esd *);
int pcmd_prompt(struct esd *);
int pcmd_ptrace(struct esd *);
int pcmd_pushd(struct esd *);
int pcmd_putf(struct esd *);
int pcmd_rname(struct esd *);
int pcmd_rtscts(struct esd *);
int pcmd_send(struct esd *);
int pcmd_set(struct esd *);
int pcmd_system(struct esd *);
int pcmd_xon(struct esd *);
unsigned long get_big_endian_32(unsigned char *);
unsigned short get_big_endian_16(unsigned char *);
/* pcmdfile.c */
int _file_not_open(int );
int _gfilenum(struct esd *,int *);
int _param_to_stat(struct esd *,struct stat **);
int ifunc_fatime(struct esd *,long *);
int ifunc_fmode(struct esd *,long *);
int ifunc_fmtime(struct esd *,long *);
int ifunc_fsize(struct esd *,long *);
int ifunc_ftell(struct esd *,long *);
int ifunc_ischr(struct esd *,long *);
int ifunc_isdir(struct esd *,long *);
int ifunc_isreg(struct esd *,long *);
int pcmd_fchmod(struct esd *);
int pcmd_fclose(struct esd *);
int pcmd_fdel(struct esd *);
int pcmd_fgetc(struct esd *);
int pcmd_fgets(struct esd *);
int pcmd_fopen(struct esd *);
int pcmd_fputc(struct esd *);
int pcmd_fputs(struct esd *);
int pcmd_fread(struct esd *);
int pcmd_fseek(struct esd *);
int pcmd_fwrite(struct esd *);
int pcmd_mkdir(struct esd *);
int pcmd_pclose(struct esd *);
int pcmd_popen(struct esd *);
int str_to_filemode(char *,long *);
void proc_file_reset(void );
/* pcmdif.c */
int _cmd_ifrel_common(struct esd *,int );
int _if_common(struct esd *,int );
int get_logicop(struct esd *,int *);
int get_relop(struct esd *,int *);
int get_truth_int(struct esd *,int *);
int get_truth_str(struct esd *,int *);
int pcmd_else(struct esd *);
int pcmd_ifge(struct esd *);
int pcmd_ifgt(struct esd *);
int pcmd_ifi(struct esd *);
int pcmd_ifle(struct esd *);
int pcmd_iflt(struct esd *);
int pcmd_ifnz(struct esd *);
int pcmd_ifs(struct esd *);
int pcmd_ifz(struct esd *);
int test_truth_int(long ,int ,long );
/* pcmdtty.c */
int ifunc_colors(unsigned long *);
int pcmd_cls(struct esd *);
int pcmd_color(struct esd *);
int pcmd_cursor(struct esd *);
int pcmd_delline(struct esd *);
int pcmd_eeol(struct esd *);
int pcmd_fkey(struct esd *);
int pcmd_home(struct esd *);
int pcmd_icolor(struct esd *);
int pcmd_insline(struct esd *);
int pcmd_scrdump(struct esd *);
int pcmd_vidcolor(struct esd *);
int pcmd_vidnorm(struct esd *);
int pcmd_vidrev(struct esd *);
/* pcmdwhile.c */
int pcmd_whilei(struct esd *);
int pcmd_whiles(struct esd *);
/* pcmdxfer.c */
int _adjust_erc_and_iv0(int );
int _make_bottom_label(struct esd *,int ,int );
int _pcmd_report_send_status(void );
int _smart_sender_common(char *);
int pcmd_rk(struct esd *);
int pcmd_rs(struct esd *);
int pcmd_rx(struct esd *);
int pcmd_ry(struct esd *);
int pcmd_rz(struct esd *);
int pcmd_sk(struct esd *);
int pcmd_ss(struct esd *);
int pcmd_sx(struct esd *);
int pcmd_sy(struct esd *);
int pcmd_sz(struct esd *);
/* poutput.c */
int pcmd_plog(struct esd *);
int plog_control(char *);
void pflush(void );
void plogc(char );
void plogs(char *);
void poutput_init(void );
void pperror(char *);
void pputc(char );
void pputs(char *);
/* proc.c */
char *find_procedure(char *);
int _cmd_gosub_common(struct esd *,int );
int _get_goto_label(struct esd *);
int do_proc(int ,char **);
int execute_esd(struct esd *);
int execute_goto(struct pcb_type *,int );
int execute_labelled_esd(struct esd *);
int execute_proc(struct pcb_type *,int );
int pcmd_do(struct esd *);
int pcmd_gosub(struct esd *);
int pcmd_gosubb(struct esd *);
int pcmd_goto(struct esd *);
int pcmd_gotob(struct esd *);
int pcmd_return(struct esd *);
struct lcb_type *find_labelled_lcb(char *,struct lcb_type *,struct lcb_type *);
struct p_cmd *find_proc_cmd(struct p_cmd *,char *);
void dump_proc(struct pcb_type *);
void free_lcb_chain(struct lcb_type *);
void show_error_position(struct pcb_type *);
void trace_proc_cmd(struct pcb_type *);
/* proc_error.c */
void proc_error(int );
/* procframe.c */
int execute_frame(int );
int pcmd_break(struct esd *);
int pcmd_continue(struct esd *);
/* regexp.c */
int advance(char *,char *);
int ecmp(char *,char *,int );
int regexp_compile(char *,char *,int ,char **);
int regexp_operation(char *,char *,long *);
int regexp_scan(char *,char *,char **,int *);
int step(char *,char *);
void compile(char *,char *,char *,int );
void getrnge(char *);
/* utmpstat.c */
int strcmpi(char *,char *);
int utmp_status(char *);
/* var.c */
int build_mkvi(struct esd *);
int build_mkvi_primitive(char *);
int build_mkvs(struct esd *);
int build_mkvs_primitive(char *,int );
int find_mkvi(char *,long **,int );
int find_mkvs(char *,struct esd **,int );
int get_ivptr(struct esd *,long **,int );
int get_subscript(struct esd *,unsigned long *);
int get_svptr(struct esd *,struct esd **,int );
int pcmd_mkvar(struct esd *);
struct mkv_type *alloc_MKV(char *);
void free_mkvi(struct mkv_type *);
void free_mkvs(struct mkv_type *);
void mkv_proc_starting(struct pcb_type *);
void mkv_proc_terminating(struct pcb_type *);
void var_init(void );

#else		/* compiler doesn't know about prototyping */

/* bamboozle.c */
char *bamboozle();
/* cmdtbl.c */
/* ecu.c */
/* ecuDCE.c */
char *DCE_get_result();
void DCE_autoanswer();
void DCE_hangup();
void DCE_now_on_hook();
void DCE_read_modem_init();
void DCE_report_iv_set();
void process_modem_init();
void show_modem_init_error();
/* ecuLCK.c */
/* ecuchdir.c */
void cd_array_delete_usage();
void cd_array_init();
void cd_array_read();
void cd_array_save();
/* ecudump.c */
/* void hex_dump_fp();
void dump_putc();
void dump_puts();
void hex_dump();
void hex_dump16();
void hex_dump32();
void hex_dump4();
void hex_dump8();
/* ecufinsert.c */
void file_insert_clear_xoff();
/* ecufkey.c */
/* int kde_fgets();
char *keyset_idstr();
void ffso();
void keyset_display();
void keyset_init();
/* ecufork.c */
char *find_executable();
void shell();
/* ecuicmaux.c */
void display_ascii_names();
void icmd_conversion();
void nlin_nlout_control();
/* ecuicmd.c */
/* ecuicmhelp.c */
char *help_get_cmd();
struct p_cmd *search_cmd_list_pcmd();
void calculate_help_right_column();
void display_help_stderr();
void help_cmd_line_setup();
void icmd_help();
void show_cmds();
/* ecuicmhist.c */
void icmd_history_add();
/* eculine.c */
char *lgets_timeout();
char *lopen_err_text();
char *xon_status();
unsigned char lgetc_xmtr();
void lRTSCTS_control();
void lbreak();
void lclear_xmtr_xoff();
void lclose();
void lclose_failed();
void ldraino();
void lflush();
void lget_xon_xoff();
void lputc();
void lputc_paced();
void lputs();
void lputs_paced();
void lquiet();
void lreset_ksr();
void lset_parity();
void ltoggle_dtr();
void lxon_xoff();
void process_xmtr_rcvd_char();
/* eculock.c */
void unlock_tty();
/* ecunumrev.c */
void build_revision_string();
/* ecuphone.c */
struct phone_directory_entry *pde_list_search();
unsigned char dirw_get_cmd();
void dirw_bot_msg();
void dirw_cmd_line_setup();
void dirw_display();
void dirw_display_phonedir_name();
void pde_add_or_edit_read();
void pde_cmd_add();
void pde_cmd_change_dir();
void pde_cmd_down();
void pde_cmd_find();
void pde_cmd_mark();
void pde_cmd_remove();
void pde_cmd_remove_oops();
void pde_cmd_save();
void pde_cmd_set_wait();
void pde_cmd_unmark();
void pde_cmd_unmark_all();
void pde_cmd_up();
void pde_display_logical();
void pde_list_add();
void pde_list_erase();
void pde_list_manager();
void pde_list_remove();
void pde_list_save_if_dirty();
void pde_list_set_dirty();
void scrw_fill();
void scrw_fill_at();
/* ecuphrase.c */
void phrase_help();
void read_phrases();
/* ecurcvr.c */
void accumulate_ansi_sequence();
void ansi_CNL();
void ansi_CPL();
void ansi_CUB();
void ansi_CUD();
void ansi_CUF();
void ansi_CUP();
void ansi_CUU();
void ansi_DCH();
void ansi_DL();
void ansi_DSR();
void ansi_ECH();
void ansi_ED();
void ansi_EL();
void ansi_HPA();
void ansi_ICH();
void ansi_IL();
void ansi_SD();
void ansi_SGR();
void ansi_SU();
void ansi_VPA();
void process_ansi_sequence();
void rcvd_ESC();
void rcvr();
void rcvr_log_open();
void redisplay_rcvr_screen();
void saved_cursor_restore_cursor();
void saved_cursor_save_cursor();
void spaces();
/* ecuscrdump.c */
void screen_dump();
/* ecusetup.c */
void setup_display_baud();
void setup_display_name();
void setup_display_screen();
void setup_display_single_char();
void setup_display_tty();
void setup_open_status();
void setup_screen();
void setw_bot_msg();
void setw_err_msg();
void setw_msg();
/* ecushm.c */
void shm_done();
void shmr_process_rcvr_SIGUSR2();
void shmr_set_xmtr_bn_1();
void shmx_connect();
void shmx_make_rcvr_sleep();
void shmx_process_xmtr_SIGUSR2();
void shmx_rc_report();
void shmx_set_rcvr_bn();
void shmx_set_rcvr_log();
/* ecusighdl.c */
char *termecu_code_text();
void child_signals();
void kill_rcvr_process();
void rcvr_SIGHUP_handler();
void rcvr_SIGINT_handler();
void rcvr_SIGTERM_handler();
void rcvr_SIGUSR1_handler();
void rcvr_SIGUSR2_handler();
void rcvr_common_signal_handler();
void rcvr_death_handler();
void rcvr_signals();
void start_rcvr_process();
void termecu();
void xmtr_SIGCLD_handler();
void xmtr_SIGHUP_handler();
void xmtr_SIGINT_handler();
void xmtr_SIGTERM_handler();
void xmtr_SIGUSR2_handler();
void xmtr_signals();
/* ecutcap.c */
void tcap_blink_off();
void tcap_blink_on();
void tcap_bold_off();
void tcap_bold_on();
void tcap_clear_area_char();
void tcap_clear_screen();
void tcap_curbotleft();
void tcap_curleft();
void tcap_curright();
void tcap_cursor();
void tcap_delete_chars();
void tcap_delete_lines();
void tcap_draw_box();
void tcap_draw_box_primitive();
void tcap_eeod();
void tcap_eeol();
void tcap_horiz_rule();
void tcap_init();
void tcap_insert_chars();
void tcap_insert_lines();
void tcap_putc_stderr();
void tcap_stand_end();
void tcap_stand_out();
void tcap_underscore_off();
void tcap_underscore_on();
void tcap_vbell();
void tcap_vertical_rule();
/* ecutime.c */
char *epoch_secs_to_str();
char *get_elapsed_time();
char *get_tod();
/* ecutty.c */
char *get_ttyname();
unsigned int ttygetc();
unsigned long B_to_timeout_msec();
void _setcolor();
void get_initial_colors();
void read_colors_file();
void restore_initial_colors();
void ring_bell();
void setcolor();
void termio_to_kbd_chars();
void ttyflush();
void ttygets();
void ttyinit();
void ttymode();
void ttynormal_opost();
/* ecuuclc.c */
char to_lower();
char to_upper();
/* ecuusage.c */
void general_usage();
void log_cmd_usage();
void usage();
/* ecuutil.c */
char *arg_token();
char *errno_text();
char *hex_to_ascii_name();
char *make_char_graphic();
char *mode_map();
char *skip_ld_break();
char *str_token();
void build_arg_array();
void build_str_array();
void disp_line_termio();
void disp_stat();
void disp_termio();
void dummy_call();
void make_ecu_subdir();
void mem_cpy();
void pad_zstr_to_len();
void perror_errmsg();
void print_cwd();
void strip_trail_break();
/* ecuwinutil.c */
struct _win_st *window_create();
void clear_area();
void clear_area_char();
void winbox();
void window_setup();
void windows_end();
void windows_end2();
void windows_end_signal();
void windows_start();
/* ecuxenix.c */
char *signal_name_text();
void bell_notify();
void send_bell_fd();
void send_get_response();
void set_bell_fd();
void set_default_escape_prompt();
void xbell();
void xbell_fd();
/* ecuxfer.c */
char *xfer_title_fragment();
void file_xfer_done_bell();
void file_xfer_start();
void receive_files_from_remote();
void send_files_to_remote();
void xfrw_bot_msg();
void xfrw_display_cmd_line();
void xfrws_display_allvars();
void xfrws_display_binary();
void xfrws_display_literals();
void xfrws_display_name();
void xfrws_display_xfernew();
/* esdutil.c */
/* int esdfgets();
/* int esdfputs();
struct esd *esdalloc();
void esd_null_terminate();
void esd_strip_trail_break();
void esdfree();
void esdinit();
void esdshow();
void esdzero();
/* expresp.c */
void respond();
/* fasiintf.c */
/* feval.c */
/* gint.c */
/* gstr.c */
/* hdbintf.c */
char *hdb_dial_error_text();
struct dlent *getdlent();
struct dlent *getdlentname();
struct dvent *getdvbaud();
struct dvent *getdvent();
struct dvent *getdvline();
struct dvent *getdvtype();
void choose_line();
void dialstr_translate();
void enddlent();
void enddvent();
void hdb_init();
void ungetty_return_line();
/* logevent.c */
void ecu_log_event();
/* nonansikey.c */
unsigned char map_nonansi_key();
void nonansi_key_init();
void nonansi_key_read();
/* pcmd.c */
unsigned long get_big_endian_32();
unsigned short get_big_endian_16();
/* pcmdfile.c */
void proc_file_reset();
/* pcmdif.c */
/* pcmdtty.c */
/* pcmdwhile.c */
/* pcmdxfer.c */
/* poutput.c */
void pflush();
void plogc();
void plogs();
void poutput_init();
void pperror();
void pputc();
void pputs();
/* pprintf.c */
void pprintf();
/* proc.c */
char *find_procedure();
struct lcb_type *find_labelled_lcb();
struct p_cmd *find_proc_cmd();
void dump_proc();
void free_lcb_chain();
void show_error_position();
void trace_proc_cmd();
/* proc_error.c */
void proc_error();
/* procframe.c */
/* regexp.c */
void compile();
void getrnge();
/* utmpstat.c */
/* var.c */
struct mkv_type *alloc_MKV();
void free_mkvi();
void free_mkvs();
void mkv_proc_starting();
void mkv_proc_terminating();
void var_init();

#endif /* LINT_ARGS */
#endif /* BUILDING_LINT_ARGS */

/* end of lint_args.h */
